Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
D3D12_STATIC_SAMPLER_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes
D3D12_FILTER | Filter
D3D12_TEXTURE_ADDRESS_MODE | AddressU
D3D12_TEXTURE_ADDRESS_MODE | AddressV
D3D12_TEXTURE_ADDRESS_MODE | AddressW
FLOAT | MipLODBias
UINT | MaxAnisotropy
D3D12_COMPARISON_FUNC | ComparisonFunc
D3D12_STATIC_BORDER_COLOR | BorderColor
FLOAT | MinLOD
FLOAT | MaxLOD
UINT | ShaderRegister
UINT | RegisterSpace
D3D12_SHADER_VISIBILITY | ShaderVisibility

## Detailed Description

Definition at line 3007 of file mini_d3d12.h.

## Member Data Documentation

## ◆ Filter

D3D12_FILTER D3D12_STATIC_SAMPLER_DESC::Filter

Definition at line 3008 of file mini_d3d12.h.

## ◆ AddressU

D3D12_TEXTURE_ADDRESS_MODE D3D12_STATIC_SAMPLER_DESC::AddressU

Definition at line 3009 of file mini_d3d12.h.

## ◆ AddressV

D3D12_TEXTURE_ADDRESS_MODE D3D12_STATIC_SAMPLER_DESC::AddressV

Definition at line 3010 of file mini_d3d12.h.

## ◆ AddressW

D3D12_TEXTURE_ADDRESS_MODE D3D12_STATIC_SAMPLER_DESC::AddressW

Definition at line 3011 of file mini_d3d12.h.

## ◆ MipLODBias

FLOAT D3D12_STATIC_SAMPLER_DESC::MipLODBias

Definition at line 3012 of file mini_d3d12.h.

## ◆ MaxAnisotropy

UINT D3D12_STATIC_SAMPLER_DESC::MaxAnisotropy

Definition at line 3013 of file mini_d3d12.h.

## ◆ ComparisonFunc

D3D12_COMPARISON_FUNC D3D12_STATIC_SAMPLER_DESC::ComparisonFunc

Definition at line 3014 of file mini_d3d12.h.

## ◆ BorderColor

D3D12_STATIC_BORDER_COLOR D3D12_STATIC_SAMPLER_DESC::BorderColor

Definition at line 3015 of file mini_d3d12.h.

## ◆ MinLOD

FLOAT D3D12_STATIC_SAMPLER_DESC::MinLOD

Definition at line 3016 of file mini_d3d12.h.

## ◆ MaxLOD

FLOAT D3D12_STATIC_SAMPLER_DESC::MaxLOD

Definition at line 3017 of file mini_d3d12.h.

## ◆ ShaderRegister

UINT D3D12_STATIC_SAMPLER_DESC::ShaderRegister

Definition at line 3018 of file mini_d3d12.h.

## ◆ RegisterSpace

UINT D3D12_STATIC_SAMPLER_DESC::RegisterSpace

Definition at line 3019 of file mini_d3d12.h.

## ◆ ShaderVisibility

D3D12_SHADER_VISIBILITY D3D12_STATIC_SAMPLER_DESC::ShaderVisibility

Definition at line 3020 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h